<?

include 'connect.php';

//Доступ авторизованным
if(!$u['id']){ header ("Location: aut.php"); exit; }
switch($_GET['act'])
{
//############################################# История #############################################
case 'history':
//Доступ только админам
if($u['admin'] != 1){ header ("Location: index.php"); exit; }
include 'head.php';
echo '<div class="title"><img src= "image/popular.png"> История звезд</div>';

echo '<div class="main_menu">';

$count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `popular_history`"), 0);
if($count > 0){
   $total = intval(($count - 1) / 10) + 1;
   $page = intval($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * 10 - 10;
   $result = mysql_query("SELECT * FROM `popular_history` ORDER BY `time` DESC LIMIT $start, 10");
   while($history = mysql_fetch_assoc($result)){
      $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$history["user"]."'"));  
      echo '<div class="block">';
	  echo '
	  <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a>
	  стал звездой!<br>';
	  echo ''.vremya($history["time"]).'';
	  echo '</div>';
   }
   navigation($page, $total,'?act=history&');
} else {
   echo '<div class = "block"><div class = "center">Сообщений еще нет. Будь первым!</div></div>';
}


echo '</div>';
include 'foot.php';

break;

//############################################# Дефаулт #############################################
default:
   
include 'head.php';
echo '<div class="title"><img src= "image/popular.png"> Стать звездой '.$title.'</div>';
echo '<div class="subtitle"><a href = "index.php">На главную</a></div>';
if($u['admin'] == 1) echo '<div class="subtitle"><a href = "?act=history">История</a></div>';

echo '<div class="main_menu">';
   
//Если нажал
if (isset($_POST['submit'])) {
     //Проверяем нет ли его в списке
	 $req = mysql_query("SELECT * FROM `popular` WHERE `user` = '".$u['id']."' LIMIT 1");
	 if(mysql_num_rows($req)){
	 show_error('Вы уже на главной!');
	 } else {
	      //Проверяем монеты
          if(30 <= $u['money']){
	      //Если в базе пять человек удаляем первого
	      $с = mysql_result(mysql_query("SELECT COUNT(*) FROM `popular`"), 0);
	      if($с==5) {
	      $res = mysql_fetch_assoc(mysql_query("SELECT * FROM `popular` ORDER BY `time` ASC"));
	      mysql_query("DELETE FROM `popular` WHERE `id` = '".$res['id']."'");
	      }
	  
	      mysql_query("INSERT INTO `popular` SET
	      `user` = '".$u['id']."',
	      `time` = '".time()."'
	      ");
	      mysql_query("UPDATE `users` SET `money` = '".($u['money']-30)."' WHERE `id` = '".$u['id']."'");
		 
	      //Записываем в историю
	      mysql_query("INSERT INTO `popular_history` SET
	      `user` = '".$u['id']."',
	      `time` = '".time()."'
	      ");
	      show_ok('Вы попали в список звезд!');
	      } else {
          show_error('У Вас недостаточно монет!');
          }
     }
} else { 

//Вывод
echo 'Хочешь чтобы тебя увидели все? Стань одним из звезд на <b>'.$title.'</b>! 
И твоя страница будет на главной сайта!';

if(30 <= $u['money']){
echo '<form action="?" method="post">';
echo '<input type="submit" name ="submit" value="Стать звездой!" class="submit"></form>';
echo '<div class="main_block">Стоимость услуги 30 <img src = "image/balanse.png"><br>
Ваша страница будет на главной в пятерке звезд, пока другая пятерка не займут Ваши места.
</div>';
} else {
echo '<div class="main_block">У Вас недостаточно монет, стоимость услуги 30 <img src = "image/balanse.png"><br>
<img src = "image/balanse.png"> <a href = "balanse.php">Пополнить</a></div>';
}

}

echo '</div>';
include 'foot.php';

break;

}

?>